/// <reference types="cypress" />
describe('TicketBoxing', () => {
    beforeEach(() => {
        const ticketId = 1;
        cy.viewport(1280, 720);
        cy.login('developer');
        cy.visit(`/#/ticket/${ticketId}/boxing`);
    });

    it('should load expeditions of ticket', () => {
        cy.get('div[class="q-item__label text-h6"]').eq(0).should('have.text', '#1');
        cy.get('div[class="q-item__label text-h6"]').eq(1).should('have.text', '#2');
        cy.get('div[class="q-item__label text-h6"]').eq(2).should('have.text', '#3');
    });

    it('should show error if not have video list', () => {
        cy.get('div[class="q-item__label text-h6"]').eq(0).click();
        cy.get('.q-notification__message').should('have.text', 'No videos available');
    });
});
